﻿using System.ComponentModel;
using WCS.Core;
using WCS.Service.Systems;

namespace WCS.Service.Worlds
{
    /// <summary>
    ///  数据采集世界，
    ///  该世界不进行任何的交互处理，仅进行硬件数据采集
    /// </summary>
    [Description("数据采集世界")]
    public class DataCollectionWorld : World
    {
        /// <summary>
        /// 构造函数
        /// </summary>
        public DataCollectionWorld()
        {
            Interval = 300;
        }

        protected override void AfterUpdate()
        {
            //Ltc.GetSystem<DataCollectionSysyem>().Invoke(true);
        }
    }
}
